# Generated from dock_driver-0.3.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name dock_driver

Name: rubygem-%{gem_name}
Version: 0.3.5
Release: 1%{?dist}
Summary: Provides a simple executable to drive a dzen2 (or similar) dock with a single YAML config file
License: MIT
URL: http://code.hix.io/projects/dock_driver
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.8
BuildRequires: ruby >= 1.8.7
# BuildRequires: rubygem(pry) >= 0.9.10
# BuildRequires: rubygem(pry) < 0.10
# BuildRequires: rubygem(ruby-prof) >= 0.11.2
# BuildRequires: rubygem(ruby-prof) < 0.12
# BuildRequires: rubygem(rdoc-generator-fivefish) >= 0.0.1
# BuildRequires: rubygem(rdoc-generator-fivefish) < 0.1
# BuildRequires: rubygem(hoe) >= 3.8
# BuildRequires: rubygem(hoe) < 4
BuildArch: noarch

%description
Provides a simple executable to drive a dzen2 (or similar) dock with a
single YAML config file.
Read +example.dock_driver.yml+ for more information about how to get
started. It's located in this gem's data directory, which is usually:
$GEM_HOME/gems/dock_driver-x.y.z/data/.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/dock_driver
%exclude %{gem_instdir}/.gemtest
%{gem_instdir}/Manifest.txt
%{gem_instdir}/bin
%{gem_instdir}/data
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/History.rdoc
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/TODO.rdoc
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.3.5-1
- Initial package
